{$DEFINE DEBUG_ODBC}
{$R-,W-,S-,A-}

unit ODBCDebug;

interface

const
{$IFDEF LINUX}
  NewLine: PChar = #10;
{$ELSE}
  NewLine: PChar = #13;
{$ENDIF}

procedure DebugMessageBox(Message: PChar; Header: PChar);

implementation

{$IFDEF DEBUG_ODBC}
uses
  {$IFDEF MSWINDOWS}
    Windows,
  {$ENDIF}
  {$IFDEF LINUX}
    QDialogs,
    Types,
  {$ENDIF}
  SysUtils;
{$ENDIF}

procedure DebugMessageBox(Message: PChar; Header: PChar);
begin
{$IFDEF DEBUG_ODBC}
  {$IFDEF MSWINDOWS}
    MessageBox(0, Message, Header, MB_OK);
  {$ENDIF}
  {$IFDEF LINUX}
    MessageDlg(StrPas(Header), StrPas(Message), mtCustom, [mbOk], 0);
  {$ENDIF}
{$ENDIF}
end;

end.
